japa.parser.ast.body

## Class MethodDeclaration

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.body.BodyDeclaration
    - - japa.parser.ast.body.MethodDeclaration

All Implemented Interfaces:
  DocumentableNode

    public final class MethodDeclaration
    extends BodyDeclaration
    implements DocumentableNode

Author:
  Julio Vilmar Gesser

### Field Summary

### Fields inherited from class japa.parser.ast.Node

`ABSOLUTE_BEGIN_LINE, ABSOLUTE_END_LINE`

### Constructor Summary

Constructors
Constructor and Description
`MethodDeclaration()`
`MethodDeclaration(int beginLine, int beginColumn, int endLine, int endColumn, int modifiers, List<AnnotationExpr> annotations, List<TypeParameter> typeParameters, Type type, String name, List<Parameter> parameters, int arrayCount, List<NameExpr> throws_, BlockStmt block)`
`MethodDeclaration(int modifiers, List<AnnotationExpr> annotations, List<TypeParameter> typeParameters, Type type, String name, List<Parameter> parameters, int arrayCount, List<NameExpr> throws_, BlockStmt block)`
`MethodDeclaration(int modifiers, Type type, String name)`
`MethodDeclaration(int modifiers, Type type, String name, List<Parameter> parameters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`int` `getArrayCount()`
`BlockStmt` `getBody()`
`JavadocComment` `getJavaDoc()`
`int` `getModifiers()` Return the modifiers of this member declaration.
`String` `getName()`
`NameExpr` `getNameExpr()`
`List<Parameter>` `getParameters()`
`List<NameExpr>` `getThrows()`
`Type` `getType()`
`List<TypeParameter>` `getTypeParameters()`
`void` `setArrayCount(int arrayCount)`
`void` `setBody(BlockStmt body)`
`void` `setJavaDoc(JavadocComment javadocComment)`
`void` `setModifiers(int modifiers)`
`void` `setName(String name)`
`void` `setNameExpr(NameExpr name)`
`void` `setParameters(List<Parameter> parameters)`
`void` `setThrows(List<NameExpr> throws_)`
`void` `setType(Type type)`
`void` `setTypeParameters(List<TypeParameter> typeParameters)`

### Methods inherited from class japa.parser.ast.body.BodyDeclaration

`getAnnotations, setAnnotations`

### Methods inherited from class japa.parser.ast.Node

`addOrphanComment, contains, equals, getAllContainedComments, getBeginColumn, getBeginLine, getChildrenNodes, getComment, getData, getEndColumn, getEndLine, getOrphanComments, getParentNode, hashCode, isPositionedAfter, isPositionedBefore, setAsParentNodeOf, setAsParentNodeOf, setBeginColumn, setBeginLine, setComment, setData, setEndColumn, setEndLine, setParentNode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MethodDeclaration

    public MethodDeclaration()

#### MethodDeclaration

    public MethodDeclaration(int modifiers,
                             Type type,
                             String name)

#### MethodDeclaration

    public MethodDeclaration(int modifiers,
                             Type type,
                             String name,
                             List<Parameter> parameters)

#### MethodDeclaration

    public MethodDeclaration(int modifiers,
                             List<AnnotationExpr> annotations,
                             List<TypeParameter> typeParameters,
                             Type type,
                             String name,
                             List<Parameter> parameters,
                             int arrayCount,
                             List<NameExpr> throws_,
                             BlockStmt block)

#### MethodDeclaration

    public MethodDeclaration(int beginLine,
                             int beginColumn,
                             int endLine,
                             int endColumn,
                             int modifiers,
                             List<AnnotationExpr> annotations,
                             List<TypeParameter> typeParameters,
                             Type type,
                             String name,
                             List<Parameter> parameters,
                             int arrayCount,
                             List<NameExpr> throws_,
                             BlockStmt block)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                          A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed to the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - the argument passed to the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                           A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getArrayCount

    public int getArrayCount()

#### getBody

    public BlockStmt getBody()

#### getModifiers

    public int getModifiers()

Return the modifiers of this member declaration.

Returns:
  modifiers
See Also:
  `ModifierSet`

#### getName

    public String getName()

#### getNameExpr

    public NameExpr getNameExpr()

#### getParameters

    public List<Parameter> getParameters()

#### getThrows

    public List<NameExpr> getThrows()

#### getType

    public Type getType()

#### getTypeParameters

    public List<TypeParameter> getTypeParameters()

#### setArrayCount

    public void setArrayCount(int arrayCount)

#### setBody

    public void setBody(BlockStmt body)

#### setModifiers

    public void setModifiers(int modifiers)

#### setName

    public void setName(String name)

#### setNameExpr

    public void setNameExpr(NameExpr name)

#### setJavaDoc

    public void setJavaDoc(JavadocComment javadocComment)

Specified by:
  `setJavaDoc` in interface `DocumentableNode`

#### setParameters

    public void setParameters(List<Parameter> parameters)

#### setThrows

    public void setThrows(List<NameExpr> throws_)

#### setType

    public void setType(Type type)

#### setTypeParameters

    public void setTypeParameters(List<TypeParameter> typeParameters)

#### getJavaDoc

    public JavadocComment getJavaDoc()

Specified by:
  `getJavaDoc` in interface `DocumentableNode`